Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.table
Class BusinessTable

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      de.jsystems.framework.controls.FPanel
                          de.jsystems.framework.table.BusinessTable

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IVetoableChange, MenuContainer, Serializable

public class BusinessTable
extends FPanel

Anzeige einer Tabelle. Die Tabelle enthält ein Kontextmenue und wird immer in einem ScrollPane dargestellt. Die Tabelle ist auf SINGLE_SELEKTION für die Zeilanauswahl eingestellt und der Resizemode steht auf AUTO_RESIZE_OFF. Die Tabelle arbeitet fuer die Zeilen nur mit Objekten vom Typ `TableItem` und nur mit Models vom Typ `IBusinessTableModel`.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessTable()` Erzeugt eine neue Tabelle.
`BusinessTable(IController controller)` Erzeugt eine neue Tabelle.

Method Summary
`String` | `getActionClassForMouse()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForMouseMotion()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`int` | `getRowAtPoint(Point p)` Gibt die Zeile zurueck die sich an dem uebergebenen Punkt befindet.
`TableItem` | `getSelectedItem()` Liest das Item aus dem Model aus, dass der selektierten Zeile in der Tabelle entspricht.
`int` | `getSelectedRow()` Gibt den Index der selektierte Zeile in der Tabelle zurück.
`IBusinessTableModel` | `getTableModel()` Gibt das in der Tabelle gesetzte Tablemodel zurueck.
`void` | `removeMouseInputListener(MouseInputListener listener)` Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.
`void` | `resizeTableForModel()` Passt die Breite der einzelnen Spalten an den Inhalt der Spalte an.
`void` | `setActionClassForMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForMouseMotion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`void` | `setController(IController controller)` Setzt den Controller fuer die Tabelle.
`void` | `setSelectedRow(int index)` Setzt die durch den uebergebenen Index spezifizierte Zeile in der Tabelle als makiert.
`void` | `setTableModel(IBusinessTableModel model)` Setzt das Model mit den Daten für die Tabelle.

Methods inherited from class de.jsystems.framework.controls.FPanel
`addMouseInputListener, getActionClassForAncestor, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForKey, getActionClassForPropertyChange, getActionClassForVetoableChange, setActionClassForAncestor, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForKey, setActionClassForPropertyChange, setActionClassForVetoableChange`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Constructor Detail

### BusinessTable

    public BusinessTable()

  Erzeugt eine neue Tabelle. Diese hat noch keinen Controller fuer die Verwaltung.

### BusinessTable

    public BusinessTable(IController controller)

  Erzeugt eine neue Tabelle.

Parameters:
  `controller` - Der Controller fuer die Tabelle.

Method Detail

### setController

    public void setController(IController controller)

  Setzt den Controller fuer die Tabelle.

  Parameters:
    `controller` - Der Controller fuer die Tabelle.

### setTableModel

    public void setTableModel(IBusinessTableModel model)

  Setzt das Model mit den Daten für die Tabelle. Dabei wird die Breite fuer alle Spalten anhand des Inhaltes der einzelnen Spalten berechnet.

  Parameters:
    `model` - Das Model mit den Daten fuer die Tabelle.

### resizeTableForModel

    public void resizeTableForModel()

  Passt die Breite der einzelnen Spalten an den Inhalt der Spalte an.

### getSelectedRow

    public int getSelectedRow()

  Gibt den Index der selektierte Zeile in der Tabelle zurück. Wird vom Controller aufgerufen um aus dem Model dann das entsprechende Item zu holen.

  Returns:
    Der Index des selektierten Zeile.

### setSelectedRow

    public void setSelectedRow(int index)

  Setzt die durch den uebergebenen Index spezifizierte Zeile in der Tabelle als makiert.

  Parameters:
    `index` - Der Index der zu makierenden Zeile.

### getRowAtPoint

    public int getRowAtPoint(Point p)

  Gibt die Zeile zurueck die sich an dem uebergebenen Punkt befindet. Falls es keine Zeile an diesem Punkt gibt wird -1 zurueckgegeben.

  Parameters:
    `p` - Der Punkt an dem die Zeile gesucht werden soll.
  Returns:
    Die Zeile zum uebergebenen Punkt oder -1.

### getSelectedItem

    public TableItem getSelectedItem()

  Liest das Item aus dem Model aus, dass der selektierten Zeile in der Tabelle entspricht.

  Returns:
    Das TableItem, das der selektierten Zeile in der Tabelle entspricht.

### getTableModel

    public IBusinessTableModel getTableModel()

  Gibt das in der Tabelle gesetzte Tablemodel zurueck. Falls noch kein Model in der Tabelle gesetzt wurde (ueber die Methode `setTableModel(IBusinessTableModel)`), so wird hier NULL zurueckgegeben.

  Returns:
    Das in der Tabelle gesetzte Tablemodel.

### getActionClassForMouse

    public String getActionClassForMouse()

  Description copied from interface: `IMouse`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouse` in interface `IMouse`
  Overrides:
    `getActionClassForMouse` in class `FPanel`

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Description copied from interface: `IMouseInput`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseInput` in interface `IMouseInput`
  Overrides:
    `getActionClassForMouseInput` in class `FPanel`

### getActionClassForMouseMotion

    public String getActionClassForMouseMotion()

  Description copied from interface: `IMouseMotion`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseMotion` in interface `IMouseMotion`
  Overrides:
    `getActionClassForMouseMotion` in class `FPanel`

### removeMouseInputListener

    public void removeMouseInputListener(MouseInputListener listener)

  Description copied from class: `FPanel`
  Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.

  Specified by:
    `removeMouseInputListener` in interface `IMouseInput`
  Overrides:
    `removeMouseInputListener` in class `FPanel`
  Parameters:
    `listener` - Der zu entfernende Listener.
  See Also:
    `FPanel.addMouseInputListener(MouseInputListener)`

### setActionClassForMouse

    public void setActionClassForMouse(String actionClassName)

  Description copied from interface: `IMouse`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouse` in interface `IMouse`
  Overrides:
    `setActionClassForMouse` in class `FPanel`

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Description copied from interface: `IMouseInput`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseInput` in interface `IMouseInput`
  Overrides:
    `setActionClassForMouseInput` in class `FPanel`

### setActionClassForMouseMotion

    public void setActionClassForMouseMotion(String actionClassName)

  Description copied from interface: `IMouseMotion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseMotion` in interface `IMouseMotion`
  Overrides:
    `setActionClassForMouseMotion` in class `FPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD